// Name
// Student ID

import controlP5.*;

// ControlP5 stuff.  The ConotrolP5 object and the single
// slider we'll put in the sketch window to control the
// amount of randomness we want to use.
ControlP5 ui;
Slider mag;

// The current random seed.
int seed;

// A few global variables to control the size of the drawing.

// The width and height of each square in the drawing.
float dim = 30;
// The empty margin around all sides of the grid.
float margin = 20;
// The size of the grid.
int rows = 24;
int cols = 12;

void setup()
{
  // This is (dim*cols + 2*margin, dim*rows + 2*margin).
  size( 400, 760 );
  // For this sketch, it's easier to draw squares like
  // circles, i.e., by passing in the coordinates of the
  // centre of the square.
  rectMode( CENTER );
  noFill();
  stroke( 0 );

  // Construct the user interface.
  ui = new ControlP5( this );
  mag = ui.addSlider( "Magnitude" )
    .setRange( 0, 1 )
    .setValue( 1 )
    .setPosition( 5, 5 )
    .setSize( 200, 20 );
}

void draw()
{
  background( 255 );

  // Set the random seed.
  randomSeed( seed );
    
  // TODO: draw the grid here.  Here's an example of drawing one
  // square.  You'll probably want to create a nested loop (i.e.,
  // a loop over rows, containing a second loop over columns) that
  // draws the whole grid.  You can replace the code below with
  // your loops.
  
  pushMatrix();
  translate( margin + 0.5*dim, margin + 0.5*dim );
  rect( 0, 0, dim, dim );
  popMatrix();
}

// Press the space bar to get a different random
// drawing.
void keyPressed()
{
  if ( key == ' ' ) {
    ++seed;
  }
}